All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ArrowIcon

    com.sas.visuals.ArrowIcon

All Implemented Interfaces:
  com.sas.visuals.IconInterface, com.sas.visuals.PainterInterface, java.io.Serializable

    public class ArrowIcon

implements com.sas.visuals.IconInterface

IconInterface implementation that draws an arrow to fit in the size passed in to the paint.

See Also:
  Serialized Form

Constructor Summary
`ArrowIcon()` Default constructor.
`ArrowIcon(int orient)` Constructor to set the orientation of the arrow.

Method Summary
`java.awt.Insets` | `getInsets()` Get the insets of the ArrowIcon.
`java.awt.Dimension` | `getMinimumSize()` Get the minimumSize of the ArrowIcon.
`int` | `getOrientation()` Get the direction the tip of the arrow points when it is drawn.
`java.awt.Dimension` | `getPreferredSize()` Get the preferredSize of the ArrowIcon.
`void` | `paint(java.awt.Component comp, java.awt.Graphics g, int x, int y, int width, int height)` Paint the arrow in the specified bounds.
`void` | `setMinimumSize(java.awt.Dimension size)` Set the minimumSize of the ArrowIcon.
`void` | `setOrientation(int orient)` Set the direction the tip of the arrow points when it is drawn.
`void` | `setPreferredSize(java.awt.Dimension size)` Set the preferredSize of the ArrowIcon.

Constructor Detail

### ArrowIcon

    public ArrowIcon()

  Default constructor. The default arrow orientation is TOP.

### ArrowIcon

    public ArrowIcon(int orient)

  Constructor to set the orientation of the arrow.

  Parameters:
    `orient` - the orientation of the arrow

Method Detail

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Get the preferredSize of the ArrowIcon.

  Specified by:
    `getPreferredSize` in interface `com.sas.visuals.IconInterface`
  Returns:
    the previously set preferredSize or the minimumSize if no preferredSize has been set.
  See Also:
    `getMinimumSize()`

### setPreferredSize

    public void setPreferredSize(java.awt.Dimension size)

  Set the preferredSize of the ArrowIcon.

  Parameters:
    `size` - the new preferredSize

### setMinimumSize

    public void setMinimumSize(java.awt.Dimension size)

  Set the minimumSize of the ArrowIcon.

  Parameters:
    `size` - the new minimumSize

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Get the minimumSize of the ArrowIcon.

  Returns:
    the previously set minimumSize or the Dimension(13,13) if no minimumSize has been set.

### getInsets

    public java.awt.Insets getInsets()

  Get the insets of the ArrowIcon.

  Specified by:
    `getInsets` in interface `com.sas.visuals.PainterInterface`
  Returns:
    Insets( 0,0,0,0 )

### setOrientation

    public void setOrientation(int orient)

  Set the direction the tip of the arrow points when it is drawn.

  Parameters:
    `orient` - the orientation of the arrow: an Orientations value of TOP, BOTTOM, LEFT, or RIGHT

### getOrientation

    public int getOrientation()

  Get the direction the tip of the arrow points when it is drawn.

  Returns:
    the orientation of the arrow: an Orientations value of TOP, BOTTOM, LEFT, or RIGHT

### paint

    public void paint(java.awt.Component comp,
                      java.awt.Graphics g,
                      int x,
                      int y,
                      int width,
                      int height)

  Paint the arrow in the specified bounds.

  Specified by:
    `paint` in interface `com.sas.visuals.PainterInterface`
  Parameters:
    `comp` - the component used to determine the color used to paint the arrow
    `g` - the Graphics context
    `x` - the x position of the bounds to paint the arrow in
    `y` - the y position of the bounds to paint the arrow in
    `width` - the width of the bounds to paint the arrow in
    `height` - the height of the bounds to paint the arrow in

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.